import { jsx } from "react/jsx-runtime";
import { ThermometerIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Thermometer = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Thermometer", ...props, children: /* @__PURE__ */ jsx(ThermometerIcon, { weight: variant }) });
  }
);
Thermometer.displayName = "Thermometer";
Object.assign(Thermometer, { isGdsIcon: true });
export {
  Thermometer
};
